PATH_COMICS_15_ON_SHOWN              = 'data/Scenes/Comics/HelpersComicsReplic.lua'
PATH_COMICS_15_ANVIL                 = 'data/Scenes/Comics/HelpersComicsReplic.lua'
PATH_COMICS_15_BRUSH                 = 'data/Scenes/Comics/HelpersComicsReplic.lua'
PATH_COMICS_15_STONE                 = 'data/Scenes/Comics/HelpersComicsReplic.lua'
PATH_COMICS_15_BULB					 = 'data/Scenes/Comics/HelpersComicsReplic.lua'
PATH_COMICS_15_ON_WIN				 = 'data/Scenes/Comics/HelpersComicsReplic.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())

    local pf = play_field
    local level = pf:GetLevelScreen()
    ---------------------------------------------------------------------------------------------	
	AddRandomTasks(14,
               CreateTask('ACCORDION', '', 'accordion'),
               CreateTask('ACCUMULATOR', '', 'accumulator'),               
               CreateTask('BELL', '', 'bell'),
               CreateTask('BICYCLE', '', 'bicycle'),
               CreateTask('BIRKIN', '', 'birkin'),
               CreateTask('BUCKET', '', 'bucket'),
               CreateTask('BUDDHA', '', 'buddha'),
               CreateTask('CAMERA', '', 'camera'),
               CreateTask('SHOPPING_CART', '', 'cart'),
               --CreateTask('CHEST', '', 'chest'),
               CreateTask('COMPASS', '', 'compass'),
               --CreateTask('FAN', '', 'fan'),
               CreateTask('HOTWATER_BOTTLE', '', 'hotwater_bottle'),
               CreateTask('JUG', '', 'jug'),
               CreateTask('LIGHTNING', '', 'lightning'),
               CreateTask('MUG', '', 'mug'),
               CreateTask('SAXOPHONE', '', 'saxophone'),
               CreateTask('SHARK', '', 'shark'),
               CreateTask('SHOES', '', 'shoes'),
               --CreateTask('STARFISH', '', 'starfish'),
               CreateTask('SUN', '', 'sun'),
               CreateTask('SUNDIAL', '', 'sundial'),
               CreateTask('TELESCOPE', '', 'telescope'),
               --CreateTask('TRAVELLING_BAG', '', 'travelling_bag'),
               CreateTask('TURTLE', '', 'turtle'),
               --CreateTask('VICE', '', 'vice'),
			   CreateTask('PHARAOH', '', 'pharaoh'),
               --CreateTask('BOTTLE', '', 'bottle'),
               CreateTask('CANDELABRUM', '', 'candelabrum'),               
               CreateTask('PERFUME', '', 'perfume'),
               CreateTask('BATTERY', '', 'battery'),
               CreateTask('NAIL', '', 'nail'),
               CreateTask('PLIERS', '', 'pliers'),
               CreateTask('SAW', '', 'saw')
	)
	---------------------------------------------------------------------------------------------		
    zone_roof = CreateZoomZone('close_zone_roof',
                               '',
                               'ZoomRoofBg',
                               'pharaoh',
                               'perfume',							   
							   'candelabrum',
							   'brush'
							   --'bottle'
							   );    
	---------------------------------------------------------------------------------------------	
	local photo_action_anvil = function()                                
                             end
    local apply_action_anvil = function(save)
                                RegisterZoomZone(zone_roof, 'pixel_roof')
								if save then
									pf:GetObject('roof1'):SetOpacity(0)									
								else
									pf:GetObject('roof1'):ChangeOpacity(1, 0, 0.3)									
									PlaySound('15_punch_out_boat')
								end                                
                             end
    local photo_anvil = CreatePhotoZone('anvil', 
                                            'ANVIL', 
                                            'anvil_photo', 
                                            photo_action_anvil,
											'roof1',
											apply_action_anvil)
	---------------------------------------------------------------------------------------------		
    zone_cabin = CreateZoomZone('close_zone_cabin',
                               'pixel_cabin',
                               'ZoomCabinBg',
                               'stone',
                               'saw',
							   'pliers',
							   'nail',
							   'battery'
							   )
	---------------------------------------------------------------------------------------------		
    zone_helmet = CreateZoomZone('close_zone_helmet',
                                'pixel_helmet',
                                'zoom_helmet_5',
                                'zoom_helmet_2',
                                'zoom_helmet_3',
							    'zoom_helmet_4',							   
							    'zoom_helmet_1',
								'zoom_helmet_0',
								'zoom_helmet_-1',
								'fire',
								'plasm'
							    )
	pf:IgnoreOnTestPoint('fire')
	pf:GetObject('fire'):SetMaxOpacity(0.57)
	pf:GetObject('plasm'):SetMaxOpacity(0.57)
	pf:IgnoreOnTestPoint('plasm')
	pf:IgnoreOnTestPoint('fire')
	---------------------------------------------------------------------------------------------		
	--[[local photo_action_brush = function()								
                             end
    local apply_action_brush = function(save)
								if save then
									pf:GetObject('zoom_helmet_1'):SetOpacity(0)
								else
									pf:GetObject('zoom_helmet_1'):ChangeOpacity(1, 0, 0.1)
									PlaySound('15_clear_alga')
								end
								pf:GetObject('zoom_helmet_1'):SetMaxOpacity(0)
                             end
    photo_brush = CreatePhotoZone('brush', 
										'BRUSH', 
										'brush_photo', 
										photo_action_brush,
										'zoom_helmet_1',
										apply_action_brush)
    level:GetTask('brush'):SetUse(true)]]
	---------------------------------------------------------------------------------------------	
	local photo_action_brush = function()                                
                             end
	local apply_action_brush_2;
	local apply_action_brush_3;	
	
	apply_action_brush_3 = function(save)
	                            if save and not HasGameState('BrushApplied3', 'true') then
                                    return									
								end
								if not HasGameState('BrushApplied3', 'true') then
									AddGameState('BrushApplied3', 'true')								
								end
								UnregisterPhotoZone('brush')
								pf:GetObject('zoom_helmet_1'):SetMaxOpacity(0)
								if (save) then
									pf:GetObject('zoom_helmet_1'):SetOpacity(0)
								else
									pf:GetObject('zoom_helmet_1'):ChangeOpacity(1, 0, 0.1)			
									PlaySound('15_clear_alga')									
								end
                             end
    
	apply_action_brush_2 = function(save)
	                            if save then
	                                if not HasGameState('BrushApplied2', 'true') then
                                        return																			
									end
	                            end
								SetApplyActionPhotoZone(photo_brush, 'zoom_helmet_1', apply_action_brush_3)
								if save then
								    apply_action_brush_3(save)
								end
								if not HasGameState('BrushApplied2', 'true') then
									AddGameState('BrushApplied2', 'true')								
								end
								pf:GetObject('zoom_helmet_0'):SetMaxOpacity(0)
								if save then
									pf:GetObject('zoom_helmet_0'):SetOpacity(0)
								else
									pf:GetObject('zoom_helmet_0'):ChangeOpacity(1, 0, 0.1)		
									PlaySound('15_clear_alga')
								end
                             end
	
    local apply_action_brush_1 = function(save)
									SetApplyActionPhotoZone(photo_brush, 'zoom_helmet_0', apply_action_brush_2)
									if save then
									    apply_action_brush_2(save)
									end
									if not HasGameState('BrushApplied1', 'true') then
										AddGameState('BrushApplied1', 'true')
									end
									pf:GetObject('zoom_helmet_-1'):SetMaxOpacity(0)
									if save then
										pf:GetObject('zoom_helmet_-1'):SetOpacity(0)
									else
										pf:GetObject('zoom_helmet_-1'):ChangeOpacity(1, 0, 0.1)
										PlaySound('15_clear_alga')
									end
								end
	
							 
	photo_brush = CreatePhotoZone('brush',
								  'BRUSH',
								  'brush_photo',
								  photo_action_brush,
								  'zoom_helmet_-1',
								  nil,
								true)
	level:GetTask('brush'):SetUse(true)
	SetApplyActionPhotoZone(photo_brush, 'zoom_helmet_-1', apply_action_brush_1)--	
	---------------------------------------------------------------------------------------------	
	local photo_action_stone = function()                                
                             end
	local apply_action_stone_2;
	local apply_action_stone_3;	
	
	apply_action_stone_3 = function(save)
	                            if save and not HasGameState('StoneApplied3', 'true') then
                                    return									
								end
								if not HasGameState('StoneApplied3', 'true') then
									AddGameState('StoneApplied3', 'true')								
								end
								UnregisterPhotoZone('stone')
								pf:GetObject('zoom_helmet_4'):SetMaxOpacity(0)
								if (save) then
									pf:GetObject('zoom_helmet_4'):SetOpacity(0)
								else
									pf:GetObject('zoom_helmet_4'):ChangeOpacity(1, 0, 0.1)
									PlaySound('15_smash_helmet')
								end
                             end
    
	apply_action_stone_2 = function(save)
	                            if save then
	                                if not HasGameState('StoneApplied2', 'true') then
                                        return																			
									end
	                            end
								SetApplyActionPhotoZone(photo_stone, 'zoom_helmet_4', apply_action_stone_3)
								if save then
								    apply_action_stone_3(save)
								end
								if not HasGameState('StoneApplied2', 'true') then
									AddGameState('StoneApplied2', 'true')								
								end
								pf:GetObject('zoom_helmet_3'):SetMaxOpacity(0)
								if save then
									pf:GetObject('zoom_helmet_3'):SetOpacity(0)
								else
									pf:GetObject('zoom_helmet_3'):ChangeOpacity(1, 0, 0.1)
									PlaySound('15_smash_helmet')
								end
                             end
	
    local apply_action_stone_1 = function(save)
									SetApplyActionPhotoZone(photo_stone, 'zoom_helmet_3', apply_action_stone_2)
									if save then
									    apply_action_stone_2(save)
									end
									if not HasGameState('StoneApplied1', 'true') then
										AddGameState('StoneApplied1', 'true')
									end
									pf:GetObject('zoom_helmet_2'):SetMaxOpacity(0)
									if save then
										pf:GetObject('zoom_helmet_2'):SetOpacity(0)
									else
										pf:GetObject('zoom_helmet_2'):ChangeOpacity(1, 0, 0.1)
										PlaySound('15_smash_helmet')
									end
								end
	
							 
	photo_stone = CreatePhotoZone('stone',
								  'STONE',
								  'stone_photo',
								  photo_action_stone,
								  'zoom_helmet_2',
								  nil,
								true)
	level:GetTask('stone'):SetUse(true)
	SetApplyActionPhotoZone(photo_stone, 'zoom_helmet_2', apply_action_stone_1)
--	CheckPhotoGameState(photo_stone)
	
    --[[photo_stone = CreatePhotoZone('stone',
								'STONE',
								'stone_photo',
								photo_action_stone,
								'zoom_helmet_2',
								apply_action_stone_1,
								true);]]
	---------------------------------------------------------------------------------------------	
	game_state.chain_on_shown = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_15_ON_SHOWN, 'COMICS_15_ON_SHOWN');
                                                 end );
	game_state.chain_anvil = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_15_ANVIL, 'COMICS_15_ANVIL');
                                                 end );
	game_state.chain_brush = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_15_BRUSH, 'COMICS_15_BRUSH')
                                                 end )
	game_state.chain_stone = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_15_STONE, 'COMICS_15_STONE');
                                                 end );
	game_state.chain_bulb_found = RegisterComicsEx(function()
                                                        LoadComicsWithOneReplicHeroes(PATH_COMICS_15_BULB, 'COMICS_15_BULB_FOUND');
                                                    end );
	game_state.chain_on_win = RegisterComicsEx(function()
                                                        LoadComicsWithOneReplicHeroes(PATH_COMICS_15_ON_WIN, 'COMICS_15_ON_WIN');
                                                    end );
	game_state.chain_on_win.OnHidden = function()
										OnWinLevel()
									   end
	---------------------------------------------------------------------------------------------	
	SetHintComicsPhotoZoneEx(photo_brush, game_state.chain_brush)
	SetHintComicsPhotoZoneEx(photo_anvil, game_state.chain_anvil)	
	SetHintComicsPhotoZoneEx(photo_stone, game_state.chain_stone)	
	---------------------------------------------------------------------------------------------	
	game_state.zone_bulb = CreateInfoItemZone(pf:GetObject('bulb'), 'ANCIENT_ARTEFACT', GetString('INFO_ITEM_15_BULB'))
	game_state.zone_bulb.OnHidden = function()	
										game_state.chain_bulb_found.Play()
										NotesFound('Notes_9')
									end
	
	local clickOnBulb = function(save)		
		UnregisterZoomZone(zone_helmet)		
		if not save then
		    game_state.zone_bulb.Play()
        end
    end
    RegisterActiveObject('zoom_helmet_5', clickOnBulb, false, GetCursorArms())
    CallFunctionPeriodicallyVsRandDelay(function() play_field:GetObject('pixel_bubble1'):AddParticleSystem('data/ParticleSystem/Bubble1.psi', play_field:GetObject('bubble_particle'):GetAnimationPtr()) end, 5, 25)
    CallFunctionPeriodicallyVsRandDelay(function() play_field:GetObject('pixel_bubble2'):AddParticleSystem('data/ParticleSystem/Bubble2.psi', play_field:GetObject('bubble_particle'):GetAnimationPtr()) end, 5, 25)
    CallFunctionPeriodicallyVsRandDelay(function() play_field:GetObject('pixel_bubble3'):AddParticleSystem('data/ParticleSystem/Bubble1.psi', play_field:GetObject('bubble_particle'):GetAnimationPtr()) end, 5, 25)
    CallFunctionPeriodicallyVsRandDelay(function() play_field:GetObject('pixel_bubble4'):AddParticleSystem('data/ParticleSystem/Bubble2.psi', play_field:GetObject('bubble_particle'):GetAnimationPtr()) end, 5, 25)
end

function OnSceneFree()
    FreeData()
end

function OnScreenShown(fade_out)
	if fade_out then
		game_state.chain_on_shown.Play()
	end
end

function OnHiddenComics()
end

function OnWin()
	game_state.chain_on_win.Play()
end

function OnMinigameCompleted(mini_game)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt);
end

function OnLose()
end

function OnExit()
end

function OnButtonMouseEnter(title)	
end

function OnButtonMouseLeave(title)
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)
    
    return is_wrong_click
end

function OnObjectMouseUp(object)
end

function OnObjectRightMouseDown(object)
end

function OnObjectRightMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object);
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object);
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function OnLostFocus()
end

function OnGainFocus()
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/accordion.png',0,0,123,116,1,0)
	anim:SetHotSpot(61,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('accordion',anim,493,686,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/accumulator.png',0,0,71,89,1,0)
	anim:SetHotSpot(35,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('accumulator',anim,324,638,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/bell.png',0,0,36,86,1,0)
	anim:SetHotSpot(18,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bell',anim,499,113,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/bicycle.png',0,0,105,73,1,0)
	anim:SetHotSpot(52,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bicycle',anim,804,273,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/binocular.png',0,0,47,91,1,0)
	anim:SetHotSpot(23,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('binocular',anim,330,523,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/birkin.png',0,0,59,92,1,0)
	anim:SetHotSpot(29,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('birkin',anim,647,701,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/bucket.png',0,0,104,112,1,0)
	anim:SetHotSpot(52,56)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bucket',anim,897,652,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/buddha.png',0,0,62,75,1,0)
	anim:SetHotSpot(31,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('buddha',anim,731,222,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/camera.png',0,0,56,58,1,0)
	anim:SetHotSpot(28,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('camera',anim,752,616,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/cannon.png',0,0,46,30,1,0)
	anim:SetHotSpot(23,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cannon',anim,334,420,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/cart.png',0,0,113,108,1,0)
	anim:SetHotSpot(56,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cart',anim,649,364,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/chisel.png',0,0,44,75,1,0)
	anim:SetHotSpot(22,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('chisel',anim,306,470,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/compass.png',0,0,99,89,1,0)
	anim:SetHotSpot(49,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('compass',anim,796,418,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/eagle.png',0,0,39,89,1,0)
	anim:SetHotSpot(19,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('eagle',anim,245,520,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/fan.png',0,0,99,77,1,0)
	anim:SetHotSpot(49,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fan',anim,428,517,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/hotwater_bottle.png',0,0,56,77,1,0)
	anim:SetHotSpot(28,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hotwater_bottle',anim,708,681,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/jug.png',0,0,79,79,1,0)
	anim:SetHotSpot(39,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('jug',anim,882,469,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/lightning.png',0,0,41,36,1,0)
	anim:SetHotSpot(20,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lightning',anim,596,295,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/mug.png',0,0,58,59,1,0)
	anim:SetHotSpot(29,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mug',anim,420,574,115,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/saxophone.png',0,0,163,78,1,0)
	anim:SetHotSpot(81,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('saxophone',anim,653,597,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/shark.png',0,0,81,52,1,0)
	anim:SetHotSpot(40,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('shark',anim,675,271,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/shoes.png',0,0,86,72,1,0)
	anim:SetHotSpot(43,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('shoes',anim,848,698,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/starfish.png',0,0,76,68,1,0)
	anim:SetHotSpot(38,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('starfish',anim,552,566,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/sun.png',0,0,48,45,1,0)
	anim:SetHotSpot(24,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sun',anim,492,204,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/sundial.png',0,0,72,53,1,0)
	anim:SetHotSpot(36,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sundial',anim,984,498,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/telescope.png',0,0,93,101,1,0)
	anim:SetHotSpot(46,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('telescope',anim,265,194,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/travelling_bag.png',0,0,106,80,1,0)
	anim:SetHotSpot(53,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('travelling_bag',anim,535,469,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/turtle.png',0,0,100,78,1,0)
	anim:SetHotSpot(50,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('turtle',anim,280,719,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/tvset.png',0,0,90,81,1,0)
	anim:SetHotSpot(45,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tvset',anim,244,395,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/vice.png',0,0,97,63,1,0)
	anim:SetHotSpot(48,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('vice',anim,957,449,115,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,378,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Layers/BG_akkordeon.png',0,0,82,102,1,0)
	anim:SetHotSpot(41,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_akkordeon',anim,459,703,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Layers/BG_binokl.png',0,0,50,73,1,0)
	anim:SetHotSpot(25,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_binokl',anim,336,550,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Layers/BG_chasy.png',0,0,53,36,1,0)
	anim:SetHotSpot(26,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_chasy',anim,375,375,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Layers/BG_doloto.png',0,0,19,23,1,0)
	anim:SetHotSpot(9,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_doloto',anim,291,505,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Layers/BG_kolokol.png',0,0,32,41,1,0)
	anim:SetHotSpot(16,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_kolokol',anim,489,86,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Layers/BG_kon.png',0,0,101,84,1,0)
	anim:SetHotSpot(50,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_kon',anim,978,295,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Layers/BG_saksofon-fotoapparat.png',0,0,172,72,1,0)
	anim:SetHotSpot(86,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_saksofon-fotoapparat',anim,703,608,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Layers/BG_sumka.png',0,0,76,30,1,0)
	anim:SetHotSpot(38,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_sumka',anim,648,743,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Layers/BG_sunduk.png',0,0,126,60,1,0)
	anim:SetHotSpot(63,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_sunduk',anim,953,405,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Layers/BG_televizor.png',0,0,79,93,1,0)
	anim:SetHotSpot(39,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_televizor',anim,253,397,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Layers/BG_ventilyator.png',0,0,66,33,1,0)
	anim:SetHotSpot(33,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_ventilyator',anim,409,547,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/anvil.png',0,0,111,109,1,0)
	anim:SetHotSpot(55,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('anvil',anim,800,558,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Layers/roof2.png',0,0,273,303,1,0)
	anim:SetHotSpot(136,151)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('roof2',anim,335,450,119,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Layers/roof1.png',0,0,273,301,1,0)
	anim:SetHotSpot(136,150)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('roof1',anim,334,450,130,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/ZoomRoof/Items/brush.png',0,0,67,62,1,0)
	anim:SetHotSpot(33,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush',anim,353,399,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/ZoomRoof/Items/candelabrum.png',0,0,64,98,1,0)
	anim:SetHotSpot(32,49)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('candelabrum',anim,392,337,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/ZoomRoof/Items/perfume.png',0,0,46,57,1,0)
	anim:SetHotSpot(23,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('perfume',anim,216,369,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/ZoomRoof/Items/pharaoh.png',0,0,71,87,1,0)
	anim:SetHotSpot(35,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pharaoh',anim,306,541,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/ZoomRoof/Layers/ZoomRoofBg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomRoofBg',anim,514,383,800,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_roof',anim,334,465,100,0,20,14)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Photo/anvil_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('anvil_photo',anim,60,317,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/ZoomCabin/Items/battery.png',0,0,69,70,1,0)
	anim:SetHotSpot(34,35)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('battery',anim,561,300,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/ZoomCabin/Items/nail.png',0,0,75,58,1,0)
	anim:SetHotSpot(37,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('nail',anim,234,582,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/ZoomCabin/Items/pliers.png',0,0,101,103,1,0)
	anim:SetHotSpot(50,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pliers',anim,348,542,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/ZoomCabin/Items/saw.png',0,0,80,257,1,0)
	anim:SetHotSpot(40,128)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('saw',anim,441,289,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/ZoomCabin/Items/stone.png',0,0,114,113,1,0)
	anim:SetHotSpot(57,56)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stone',anim,443,567,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/ZoomCabin/Layers/ZoomCabinBg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomCabinBg',anim,512,384,900,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_cabin',anim,632,201,100,0,8,8)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_helmet',anim,765,687,110,0,8,10)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/ZoomHelmet/zoom_helmet_1.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zoom_helmet_1',anim,512,384,1060,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/ZoomHelmet/zoom_helmet_2.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zoom_helmet_2',anim,512,384,1030,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/ZoomHelmet/zoom_helmet_3.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zoom_helmet_3',anim,512,384,1020,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/ZoomHelmet/zoom_helmet_4.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zoom_helmet_4',anim,512,384,1010,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/ZoomHelmet/zoom_helmet_5.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zoom_helmet_5',anim,512,384,1000,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Photo/brush_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush_photo',anim,65,557,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Photo/stone_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stone_photo',anim,64,142,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Items/bulb.png',0,0,142,187,1,0)
	anim:SetHotSpot(71,93)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bulb',anim,98,649,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Animations/blik.png',0,0,282,123,24,10)
	anim:SetHotSpot(141,61)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('blik',anim,537,513,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Animations/vodorosl.png',0,0,98,104,15,10)
	anim:SetHotSpot(49,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('vodorosl',anim,934,534,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Animations/staia.png',0,0,116,82,56,10)
	anim:SetHotSpot(58,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('staia',anim,963,591,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Animations/r.png',0,0,56,36,28,10)
	anim:SetHotSpot(28,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('r',anim,309,680,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_bubble1',anim,1002,375,100,0,2,2)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_bubble2',anim,607,385,200,0,2,2)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_bubble3',anim,800,355,100,0,2,2)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_bubble4',anim,397,656,400,0,2,2)
	local anim = CreateAnimation('data/Texture/Effect/particles.png',96,64,32,32,1,0)
	anim:SetHotSpot(16,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bubble_particle',anim,86,321,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Animations/plasm.png',0,0,250,250,23,20)
	anim:SetHotSpot(125,125)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('plasm',anim,492,468,1050,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Animations/fire.png',0,0,147,199,23,12)
	anim:SetHotSpot(73,99)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('fire',anim,506,362,1040,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/ZoomHelmet/zoom_helmet_0.png',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zoom_helmet_0',anim,498,384,1070,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/ZoomHelmet/zoom_helmet_-1.png',0,0,592,422,1,0)
	anim:SetHotSpot(296,211)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zoom_helmet_-1',anim,522,355,1100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/15_under_water_/Layers/skafandr.png',0,0,132,133,1,0)
	anim:SetHotSpot(66,66)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('skafandr',anim,775,683,95,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
